import { EventPlugin, IdentifyEventType, PluginType, SegmentAPISettings, SegmentEvent, TrackEventType, ScreenEventType, GroupEventType, UpdateType, AliasEventType, SegmentClient } from '@segment/analytics-react-native';
export declare class AmplitudeSessionPlugin extends EventPlugin {
    type: PluginType;
    key: string;
    active: boolean;
    sessionId: number;
    lastEventTime: number;
    configure: (analytics: SegmentClient) => Promise<void>;
    update(settings: SegmentAPISettings, type: UpdateType): void;
    execute(event: SegmentEvent): Promise<SegmentEvent>;
    identify(event: IdentifyEventType): IdentifyEventType;
    track(event: TrackEventType): TrackEventType;
    screen(event: ScreenEventType): ScreenEventType;
    group(event: GroupEventType): GroupEventType;
    alias(event: AliasEventType): AliasEventType;
    reset(): Promise<void>;
    private insertSession;
    private onBackground;
    private onForeground;
    private startNewSessionIfNecessary;
    private startNewSession;
    private endSession;
    private loadSessionData;
    private saveSessionData;
    private handleAppStateChange;
}
//# sourceMappingURL=AmplitudeSessionPlugin.d.ts.map